View Issue Details

IDProjectCategoryView StatusLast Update
0003084GNUnetconsensus servicepublic2014-04-08 16:41
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003084: consensus api makes wrong assumptions about new elements
DescriptionCurrently, the new element callback is supplied when creating a consensus handle. This suggests that new elements can be received *before* calling conclude, but this is not true on the service side of consensus.

Thus, the new element callback should be passed in conclude, and CONSENSUS_insert should return a value that indicates whether the consensus handle is still valid (and the service has not disconnected), as now the new_element callback can't be called on failure anymore.
TagsNo tags attached.

Activities

Florian Dold

2014-02-03 23:59

developer   ~0008058

Won't change. With the current semantics of consensus, receiving elements before conclude is perfectly fine.

Issue History

Date Modified Username Field Change
2013-10-21 01:49 Florian Dold New Issue
2013-10-21 01:49 Florian Dold Status new => assigned
2013-10-21 01:49 Florian Dold Assigned To => Florian Dold
2014-02-03 23:59 Florian Dold Note Added: 0008058
2014-02-03 23:59 Florian Dold Status assigned => resolved
2014-02-03 23:59 Florian Dold Resolution open => fixed
2014-04-08 16:40 Christian Grothoff Product Version => SVN HEAD
2014-04-08 16:40 Christian Grothoff Fixed in Version => 0.10.1
2014-04-08 16:40 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:41 Christian Grothoff Status resolved => closed